package com.willalp.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.willalp.common.utils.DateUtils;
import com.willalp.system.domain.SysDeptPost;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.willalp.system.mapper.SysDeptJobMapper;
import com.willalp.system.domain.SysDeptJob;
import com.willalp.system.service.ISysDeptJobService;

/**
 * 职位Service业务层处理
 *
 * @author songyu
 * @date 2022-02-14
 */
@Service
public class SysDeptJobServiceImpl extends ServiceImpl<SysDeptJobMapper, SysDeptJob>  implements ISysDeptJobService
{
    @Autowired
    private SysDeptJobMapper sysDeptJobMapper;

    /**
     * 查询职位列表
     *
     * @param sysDeptJob 职位
     * @return 职位
     */
    @Override
    public List<SysDeptJob> selectSysDeptJobList(SysDeptJob sysDeptJob)
    {
        return sysDeptJobMapper.selectSysDeptJobList(sysDeptJob);
    }

    @Override
    public SysDeptJob selectById(Long jobId) {
        return sysDeptJobMapper.selectById(jobId);
    }

    @Override
    public int updateSysDeptJob(SysDeptJob sysDeptJob) {
        return sysDeptJobMapper.updateSysDeptJob(sysDeptJob);
    }

    @Override
    public int deleteSysDeptJobByJobId(Long jobId) {
        return sysDeptJobMapper.deleteSysDeptJobByJobId(jobId);
    }

}
